Online backup considerations

Norton 360 provides you with secure backup storage space on a server that is accessible to your PC through its Internet connection. By using a backup location that is distant from your PC, you protect your data from being lost because of local disasters, such as a fire, flood, or earthquake.

Although online backup is convenient and safe, when choosing it for your backup method keep the following limitations in mind:

  • Speed limitations

    The amount of time it takes to transfer your backup to the secure online storage depends on the speed of your Internet connection. If you have many files to back up, the first backup could possibly take several hours or several days, depending on the speed of your Internet connection. Furthermore, many home and small business Internet connections are asymmetrical, meaning that the upload speeds that they provide are slower than the download speeds. As a consequence, a single large file, such as a music file or a high-quality photograph, may take several minutes or longer to upload to your secure online storage.

    If you have a number of such large files and an asymmetrical or slow Internet connection, you may want to back up these files separately using one of the other backup locations provided by Norton 360. You can then use your secure online storage to back up the smaller document files that you work on regularly, such as your financial documents and word processing documents.

    If a large backup is interrupted, it will resume where it left off, and continue until it completes the backup. You should leave your PC turned on when you are not using it, so the backup can complete.

  • Storage limitations

    The storage allocation that Norton 360 provides is more than adequate to handle many of your backup needs, and you can purchase more storage when you need it. Nonetheless, the amount of space in your secure online storage is much smaller than the typical permanent disk that most recent PCs have. You should therefore use online backups for the files that you regularly work on, and back up larger files, and files that you seldom change, to a different location.

    In addition, you should periodically look over the files that you have in your secure online storage and eliminate those that you no longer need, in order to make additional storage space available.

More Information

Activating online backup

Purchasing more online storage space


Activating online backup

Norton 360 uses your Norton Account to keep track both of the PCs that you are backing up online and the amount of online storage space you have available.

The first time you configure online backup, Norton 360 attempts to connect to your Norton Account and requests that you sign in to the account. You may have established a Norton Account when you installed Norton 360 or when you installed another Norton product.

Norton 360 gives you the option of creating a Norton Account if you do not have one when you configure online backup for the first time.

To sign in to your Norton Account, you use the email address and the password that you supplied when you created your Norton Account. You only need to sign in to your Norton Account the first time that you configure online backup. Norton 360 retains your account information so you do not have to sign in again.


Purchasing more online storage space

Your Norton 360 subscription comes with an allotment of secure online storage space. When Norton 360 performs an online backup, it calculates the space it needs for the backup. If it finds that your secure online storage does not contain sufficient space for the backup, Norton 360 will notify you and provide an option for you to buy more space.

You do not have to wait until Norton 360 tells you that you need more online storage space. You can purchase additional space at any time.

You must be connected to the Internet to purchase more online storage.

It may take about 30 seconds for the status on the My Account page to display available space that you just purchased.

To purchase additional storage space when backing up

  1. When Norton 360 notifies you that it needs more online storage space, click Buy More Space in the alert window.

    Your Web browser opens to a secure page on which you can purchase online storage space.

  2. Follow the instructions on the secure Web page to purchase additional storage.

To purchase additional storage space at other times

  1. In the Norton 360 main window, near the top right, click My Account.

  2. In the My Account window, click Buy More Storage.

    Your Web browser opens to a secure page on which you can purchase online storage space.

  3. Follow the instructions on the Web page to purchase additional storage.